ldns_dnssec_trust_tree_struct Struct Reference

`#include <dnssec_verify.h>`

## Data Fields

ldns_rr * | rr
ldns_rr_list * | rrset
ldns_dnssec_trust_tree * | parents [10]
ldns_status | parent_status [10]
ldns_rr * | parent_signature [10]
| for debugging, add signatures too (you might want those if they contain errors)
size_t | parent_count

## Detailed Description

Definition at line 122 of file dnssec_verify.h.

## Field Documentation

## rr

ldns_rr* ldns_dnssec_trust_tree_struct::rr

Definition at line 124 of file dnssec_verify.h.

## rrset

ldns_rr_list* ldns_dnssec_trust_tree_struct::rrset

Definition at line 126 of file dnssec_verify.h.

## parents

ldns_dnssec_trust_tree* ldns_dnssec_trust_tree_struct::parents[10]

Definition at line 127 of file dnssec_verify.h.

## parent_status

ldns_status ldns_dnssec_trust_tree_struct::parent_status[10]

Definition at line 128 of file dnssec_verify.h.

## parent_signature

ldns_rr* ldns_dnssec_trust_tree_struct::parent_signature[10]

for debugging, add signatures too (you might want those if they contain errors)

Definition at line 131 of file dnssec_verify.h.

## parent_count

size_t ldns_dnssec_trust_tree_struct::parent_count

Definition at line 132 of file dnssec_verify.h.